> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Adjust Voucher Balance

> Add balance to an existing gift card or loyalty card. For loyalty cards, it must be assigned to a holder.



## OpenAPI

````yaml /openapi/vouchers.json post /v1/vouchers/{code}/balance
openapi: 3.0.1
info:
  title: Voucherify API - Vouchers
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/vouchers/{code}/balance:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterCode'
        name: code
        in: path
        description: >-
          A **code** that identifies the voucher or a unique voucher ID assigned
          by Voucherify, i.e. `v_TzD19aeNiqGc9LWciMWknyEZT8IW7u4u`.
        required: true
    post:
      tags:
        - Vouchers
      summary: Adjust Voucher Balance
      description: >-
        Add balance to an existing gift card or loyalty card. For loyalty cards,
        it must be assigned to a holder.
      operationId: update-voucher-balance
      parameters: []
      requestBody:
        required: true
        description: Provide the amount to be added to/subtracted from the voucher.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VouchersBalanceUpdateRequestBody'
            examples:
              Example:
                value:
                  amount: 10000
      responses:
        '200':
          description: Returns a balance object if the operation succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VouchersBalanceUpdateResponseBody'
              examples:
                Example:
                  value:
                    amount: 10000
                    total: 20100
                    balance: 20100
                    type: gift_voucher
                    object: balance
                    related_object:
                      type: voucher
                      id: v_abCdEfghI1JKLMNPqRS2Tu3vWXyza4bc
        '404':
          description: >-
            Returns an error if the voucher code does not exist or has been
            deleted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Not Found:
                  value:
                    code: 404
                    key: not_found
                    message: Resource not found
                    details: Cannot find voucher with id IrKORhS
                    request_id: v-0a96cd820301c0483a
                    resource_id: IrKORhS
                    resource_type: voucher
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - vouchers
components:
  schemas:
    ParameterCode:
      type: string
      example: 2CpRCE2c
    VouchersBalanceUpdateRequestBody:
      title: Vouchers Balance Update Request Body
      type: object
      description: Request body schema for `vouchers/{code}/balance`.
      properties:
        amount:
          type: integer
          description: >-
            The incremental amount to be added to or removed from the current
            balance on the gift card or loyalty card. The value is multiplied by
            100 to represent 2 decimal places. For example `10000 cents` for
            `$100.00`. To remove balance, simply add a minus sign before the
            value, i.e. to remove $20, use -2000.
        source_id:
          type: string
          description: >-
            The merchant's transaction ID if it is different from the Voucherify
            transaction ID. It is really useful in case of an integration
            between multiple systems. It can be a transaction ID from a CRM
            system, database or 3rd-party service.
        reason:
          type: string
          description: Reason why the transaction occurred.
      required:
        - amount
    VouchersBalanceUpdateResponseBody:
      description: Response body schema for `vouchers/{code}/balance.`
      type: object
      title: Vouchers Balance Update Response Body
      required:
        - amount
        - total
        - balance
        - type
        - object
        - related_object
        - operation_type
      properties:
        amount:
          type: integer
          description: >-
            The incremental amount added (positive integer) or subtracted
            (negative integer) to the current balance on the gift card or
            loyalty card. The value is multiplied by 100 to represent 2 decimal
            places. For example `10000 cents` for `$100.00`.
        total:
          type: integer
          description: >-
            Total income incurred over the lifespan of the gift card or loyalty
            card.
        balance:
          type: integer
          description: >-
            The balance after adding or subtracting a specified amount. The
            value is multiplied by 100 to represent 2 decimal places. For
            example `10000 cents` for `$100.00`.
        type:
          type: string
          description: The type of voucher being modified.
          enum:
            - gift_voucher
            - loyalty_card
        operation_type:
          type: string
          description: The type of the operation being performed.
          enum:
            - MANUAL
        object:
          type: string
          description: The type of the object represented by JSON. Default is `balance`.
          default: balance
          enum:
            - balance
        related_object:
          type: object
          description: >-
            Defines the resource that is being modified with the values that are
            returned in the balance object.
          required:
            - type
            - id
          properties:
            type:
              type: string
              description: The object being modified, i.e. `voucher`.
              default: voucher
              enum:
                - voucher
            id:
              type: string
              description: >-
                Identifies the voucher that is being modified, this is the ID
                that was assigned by the Voucherify API.
              example: v_abCdEfghI1JKLMNPqRS2Tu3vWXyza4bc
    Error:
      title: Error Object
      type: object
      description: Error details
      properties:
        code:
          type: integer
          description: Error's HTTP status code.
        key:
          type: string
          description: Short string describing the kind of error which occurred.
        message:
          type: string
          description: A human-readable message providing a short description of the error.
        details:
          type: string
          description: A human-readable message providing more details about the error.
        request_id:
          type: string
          example: v-0a885062c80375740f
          description: >-
            This ID is useful when troubleshooting and/or finding the root cause
            of an error response by our support team.
        resource_id:
          type: string
          description: >-
            Unique resource ID that can be used in another endpoint to get more
            details.
          example: rf_0c5d710a87c8a31f86
        resource_type:
          type: string
          description: The resource type.
          example: voucher
        error:
          type: object
          description: Includes additional information about the error.
          properties:
            message:
              type: string
              description: The message configured by the user in a validation rule.
      required:
        - code
        - message
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````